<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.predict.mapper.WpuspSvrParaMapper">

    <resultMap type="WpuspSvrPara" id="WpuspSvrParaResult">
        <result property="windplantNo" column="windplant_no"/>
        <result property="gamma" column="gamma"/>
        <result property="cost" column="cost"/>
        <result property="nu" column="nu"/>
        <result property="spaceDim" column="space_dim"/>
        <result property="trainSampCount" column="train_samp_count"/>
        <result property="forgettFactor" column="forgett_factor"/>
        <result property="pcurveFlag" column="pcurve_flag"/>
        <result property="windDataSouces" column="wind_data_souces"/>
        <result property="corrFlag" column="corr_flag"/>
        <result property="highPositError" column="high_posit_error"/>
        <result property="highNegatError" column="high_negat_error"/>
        <result property="midPositError" column="mid_posit_error"/>
        <result property="midNegatError" column="mid_negat_error"/>
        <result property="lowPositError" column="low_posit_error"/>
        <result property="lowNegatError" column="low_negat_error"/>
        <result property="apYcNo" column="ap_yc_no"/>
        <result property="wspeedYcNo" column="wspeed_yc_no"/>
        <result property="wdirYcNo" column="wdir_yc_no"/>
        <result property="temYcNo" column="tem_yc_no"/>
        <result property="yeYcNo" column="ye_yc_no"/>
        <result property="meYcNo" column="me_yc_no"/>
        <result property="eYcNo" column="e_yc_no"/>
        <result property="avgWspeedYcNo" column="avg_wspeed_yc_no"/>
        <result property="avgWdirYcNo" column="avg_wdir_yc_no"/>
        <result property="avgTemYcNo" column="avg_tem_yc_no"/>
        <result property="avgPreYcNo" column="avg_pre_yc_no"/>
        <result property="avgHumYcNo" column="avg_hum_yc_no"/>
        <result property="pcurveStatTime" column="pcurve_stat_time"/>
        <result property="predictionTime" column="prediction_time"/>
        <result property="dayStatTime" column="day_stat_time"/>
        <result property="monthStatTime" column="month_stat_time"/>
    </resultMap>

    <sql id="selectWpuspSvrParaVo">
        select windplant_no, gamma, cost, nu, space_dim, train_samp_count, forgett_factor, pcurve_flag, wind_data_souces, corr_flag, high_posit_error, high_negat_error, mid_posit_error, mid_negat_error, low_posit_error, low_negat_error, ap_yc_no, wspeed_yc_no, wdir_yc_no, tem_yc_no, ye_yc_no, me_yc_no, e_yc_no, avg_wspeed_yc_no, avg_wdir_yc_no, avg_tem_yc_no, avg_pre_yc_no, avg_hum_yc_no, pcurve_stat_time, prediction_time, day_stat_time, month_stat_time from wpusp_svr_para
    </sql>

    <select id="selectWpuspSvrParaList" parameterType="WpuspSvrPara" resultMap="WpuspSvrParaResult">
        <include refid="selectWpuspSvrParaVo"/>
        <where>
            <if test="windplantNo != null ">and windplant_no = #{windplantNo}</if>
            <if test="gamma != null ">and gamma = #{gamma}</if>
            <if test="cost != null ">and cost = #{cost}</if>
            <if test="nu != null ">and nu = #{nu}</if>
            <if test="spaceDim != null ">and space_dim = #{spaceDim}</if>
            <if test="trainSampCount != null ">and train_samp_count = #{trainSampCount}</if>
            <if test="forgettFactor != null ">and forgett_factor = #{forgettFactor}</if>
            <if test="pcurveFlag != null ">and pcurve_flag = #{pcurveFlag}</if>
            <if test="windDataSouces != null ">and wind_data_souces = #{windDataSouces}</if>
            <if test="corrFlag != null ">and corr_flag = #{corrFlag}</if>
            <if test="highPositError != null ">and high_posit_error = #{highPositError}</if>
            <if test="highNegatError != null ">and high_negat_error = #{highNegatError}</if>
            <if test="midPositError != null ">and mid_posit_error = #{midPositError}</if>
            <if test="midNegatError != null ">and mid_negat_error = #{midNegatError}</if>
            <if test="lowPositError != null ">and low_posit_error = #{lowPositError}</if>
            <if test="lowNegatError != null ">and low_negat_error = #{lowNegatError}</if>
            <if test="apYcNo != null ">and ap_yc_no = #{apYcNo}</if>
            <if test="wspeedYcNo != null ">and wspeed_yc_no = #{wspeedYcNo}</if>
            <if test="wdirYcNo != null ">and wdir_yc_no = #{wdirYcNo}</if>
            <if test="temYcNo != null ">and tem_yc_no = #{temYcNo}</if>
            <if test="yeYcNo != null ">and ye_yc_no = #{yeYcNo}</if>
            <if test="meYcNo != null ">and me_yc_no = #{meYcNo}</if>
            <if test="eYcNo != null ">and e_yc_no = #{eYcNo}</if>
            <if test="avgWspeedYcNo != null ">and avg_wspeed_yc_no = #{avgWspeedYcNo}</if>
            <if test="avgWdirYcNo != null ">and avg_wdir_yc_no = #{avgWdirYcNo}</if>
            <if test="avgTemYcNo != null ">and avg_tem_yc_no = #{avgTemYcNo}</if>
            <if test="avgPreYcNo != null ">and avg_pre_yc_no = #{avgPreYcNo}</if>
            <if test="avgHumYcNo != null ">and avg_hum_yc_no = #{avgHumYcNo}</if>
            <if test="pcurveStatTime != null ">and pcurve_stat_time = #{pcurveStatTime}</if>
            <if test="predictionTime != null ">and prediction_time = #{predictionTime}</if>
            <if test="dayStatTime != null ">and day_stat_time = #{dayStatTime}</if>
            <if test="monthStatTime != null ">and month_stat_time = #{monthStatTime}</if>
        </where>
    </select>

    <select id="selectWpuspSvrParaById" parameterType="Long" resultMap="WpuspSvrParaResult">
        <include refid="selectWpuspSvrParaVo"/>
        where windplant_no = #{windplantNo}
    </select>

</mapper>